import sys
from net.l2emuproject.gameserver.model.quest import State
from net.l2emuproject.gameserver.model.quest import QuestState
from net.l2emuproject.gameserver.model.quest.jython import QuestJython as JQuest
from net.l2emuproject.gameserver.datatables  import SkillTable


#from net.l2emuproject.gameserver.cache              import HtmCache
from net.l2emuproject.gameserver.model              import L2ItemInstance

from net.l2emuproject.gameserver.model.itemcontainer              import Inventory
from net.l2emuproject.gameserver.network.serverpackets      import InventoryUpdate
from net.l2emuproject.gameserver.network.serverpackets      import UserInfo
from net.l2emuproject.gameserver.network.serverpackets      import CharInfo
from net.l2emuproject.gameserver.network.serverpackets      import SystemMessage 


qn = "2009003_Enchanter"

NPC = 103

loop = 2	#1 for one-time enchant, 2 for unlimited

lvl=80
enchat = 2

#maxTalk = 0
#maxEnch =65535


	       #active,	id,	prise,	cost,	inv,	max,	amount, slot
Enchant = {
  "0"  :	["ON",	0,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_UNDER	],# "Shirt has been enchanted"
  "1"  :	["ON",	1,	57,	1000,	3,	10,	1000,	Inventory.PAPERDOLL_REAR	],# "Earring has been enchanted"
  "2"  :	["ON",	2,	57,	1000,	3,	10,	1000,	Inventory.PAPERDOLL_LEAR	],# "Earring has been enchanted"
#  "3"  :	["ON",	3,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_LREAR	],# "   "
  "4"  :	["ON",	4,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_NECK	],# "Necklace has been enchanted"
  "5"  :	["ON",	5,	57,	1000,	3,	10,	1000,	Inventory.PAPERDOLL_LFINGER	],# "Ring has been enchanted"
  "6"  :	["ON",	6,	57,	1000,	3,	10,	1000,	Inventory.PAPERDOLL_RFINGER	],# "Ring has been enchanted"
#  "7"  :	["ON",	7,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_LRFINGER	],# "   "
  "8"  :	["ON",	8,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_HEAD	],# "Helmet has been enchanted"
  "9"  :	["ON",	9,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_RHAND	],# "Your weapon has been enchanted"
  "10"  :	["ON",	10,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_LHAND	],# "Shield has been enchanted"
  "11"  :	["ON",	11,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_GLOVES	],# "Gloves has been enchanted"
  "12"  :	["ON",	12,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_CHEST	],# "Chest has been enchanted"
  "13"  :	["ON",	13,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_LEGS	],# "Stockings has been enchanted"
  "14"  :	["ON",	14,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_FEET	],# "Boots has been enchanted"
#  "15"  :	["ON",	15,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_BACK	],# "   "
#  "16"  :	["ON",	16,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_LRHAND	],# "   "
#  "17"  :	["ON",	17,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_FULLARMOR	],# "   "
  "18"  :	["Off",	18,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_HAIR	],#maska # "The head order has been enchanted"
#  "19"  :	["ON",	19,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_ALLDRESS	],# "   "
  "20"  :	["Off",	20,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_HAIR2	],#face # "The obverse order has been enchanted"
#  "21"  :	["ON",	21,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_HAIRALL	],# "   "
  "22"  :	["Off",	22,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_RBRACELET	],# "Bracelet Talisman has been enchanted"
  "23"  :	["Off",	23,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_LBRACELET	]# "Bracelet Agathion has been enchanted"
}

#  dopolnitel. slot

#  "24"  :	["Off",	24,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_DECO1	],# "   "
#  "25"  :	["Off",	25,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_DECO2	],# "   "
#  "26"  :	["Off",	26,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_DECO3	],# "   "
#  "27"  :	["Off",	27,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_DECO4	],# "   "
#  "28"  :	["Off",	28,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_DECO5	],# "   "
#  "29"  :	["Off",	29,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_DECO6	],# "   "
#  "30"  :	["Off",	30,	57,	1000,	2,	10,	1000,	Inventory.PAPERDOLL_TOTALSLOTS	],# "   "



def Ench (st,item,player):
#    htmltext = HtmCache.getInstance().getHtm("data/scripts/custom/" + qn + "/enchanter.htm")
    htmltext = "enchanter.htm"

    itemInstance = player.getInventory().getPaperdollItem(item)
    curEnchant = itemInstance.getEnchantLevel()
    encc=curEnchant+enchat
#    item = player.getItemEquipped(Inventory.PAPERDOLL_HEAD)
    conid = st.getInt("conid")

    if st.getInt("conid")==0 :
       player.getInventory().unEquipItemInSlotAndRecord(item)
       itemInstance.setEnchantLevel(encc)
       player.getInventory().equipItemAndRecord(itemInstance)
       InventoryUpdate().addModifiedItem(itemInstance)
       player.sendPacket(InventoryUpdate())
       player.broadcastPacket(CharInfo(player))
       player.sendPacket(UserInfo(player))
       player.sendMessage("Enchanted "+itemInstance.getItem().getName()+" from "+str(curEnchant)+" to "+str(encc))
#    if st.getInt("cound")==maxTalk>0:
#       htmltext = "<html>Vy bolcshe ne mojete tochitsya</html>"
       htmltext = "Enchanter.htm"
    
    return htmltext





class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 


 def onAdvEvent (self,event,npc,player) :
  st = player.getQuestState(qn)
  htmltext = " "



  if event in Enchant.keys() :
    active,id,prise,cost,inv,max,amount,slot = Enchant[event]
    if active == "ON":

      itm = st.getItemEquipped(id)
      enchlv = st.getEnchantLevel(itm)
      enchnew = enchlv + enchat


      
      if player.getLevel()<lvl:
        st.playSound("ItemSound.quest_itemget")
#        htmltext="<html>Dostignite vnachale <font color=\"LEVEL\">"+str(lvl)+" urovnya </font></html>"
        htmltext = "Lvl.htm"
        st.exitQuest(1)
      
      elif st.getQuestItemsCount(prise) < cost :
        st.playSound("ItemSound.quest_itemget")
#        htmltext="<html> U vas nexvataet aden<br> neobxodimo <font color=\"LEVEL\">"+str(cost) +"prise</font></html>"
        htmltext = "Items.htm"
        st.exitQuest(1)
      
      elif st.getQuestItemsCount(itm) >= inv :
        st.playSound("ItemSound.quest_itemget")
#        htmltext="<html><head>The same item lies in your inventory. </body></html>"
        htmltext = "Inventory.htm"
        st.exitQuest(1)

      elif itm == 0 :
        st.playSound("ItemSound.quest_itemget")
#        htmltext = "<html><head>You should ware an item to proceed enchant!</body></html>"
        htmltext = "Slots.htm"
	st.exitQuest(1)

      elif enchnew > max :
        st.playSound("ItemSound.quest_itemget")
#	htmltext = "<html><head>You're unable to enchant over the limit!</body></html>"
        htmltext = "Limit.htm"
        st.exitQuest(1)

#  Demonic Sword Zariche
      elif itm == 8190:
        st.playSound("ItemSound.quest_itemget")
#        htmltext = "<html><head><body>This subject cannot be grinded!</body></html>"
        htmltext = "CursedWeapons.htm"
        st.exitQuest(1)

#  Blood Sword Akamanah
      elif itm == 8689:
        st.playSound("ItemSound.quest_itemget")
#        htmltext = "<html><head><body>This subject cannot be grinded!</body></html>"
        htmltext = "CursedWeapons.htm"
        st.exitQuest(1)


      else:
        st.set("conid","0")
        st.takeItems(prise,amount)
        htmltext=Ench(st,slot,player)
#slot
#        htmltext=Ench(st,Inventory.PAPERDOLL_HEAD,player)

    else:
      st.playSound("ItemSound.quest_accept")
      htmltext = "Zakrit.htm"



  return htmltext 


 def onTalk (self,npc,player) :
  st = player.getQuestState(qn)
  npcId = npc.getNpcId()
  id = st.getInt("cound")
  htmltext = "<html><head><body>I have nothing to say to you</body></html>"
  if not st : return htmltext
  if npcId == NPC:
      if id == loop: 
         htmltext = "You can't enchant any more"
      else:
        htmltext = "Enchanter.htm"
  return htmltext


QUEST       = Quest(2009003, qn, "custom")

QUEST.addStartNpc(NPC)                        
QUEST.addTalkId(NPC)


print "   INFO Loaded: 2009003_Enchanter"

