import sys
from net.l2emuproject.gameserver.model.quest import State
from net.l2emuproject.gameserver.model.quest import QuestState
from net.l2emuproject.gameserver.model.quest.jython import QuestJython as JQuest
from net.l2emuproject.gameserver.datatables  import SkillTable

qn = "2009003_Enchanter"


NPC = 103

loop = 2	#1 for one-time enchant, 2 for unlimited

	       #active,	id,	ench,	prise,	cost,	inv,	max,	amount,	htms (Enchant item)
Enchant = {
  "0"  :	["ON",	0,	2,	57,	1000,	2,	10,	1000,	"Shirt has been enchanted"],# 0 Shirt
  "1"  :	["ON",	1,	2,	57,	1000,	3,	10,	1000,	"Earring has been enchanted"],
  "2"  :	["ON",	2,	2,	57,	1000,	3,	10,	1000,	"Earring has been enchanted"],
  "4"  :	["ON",	4,	2,	57,	1000,	2,	10,	1000,	"Necklace has been enchanted"],
  "5"  :	["ON",	5,	2,	57,	1000,	3,	10,	1000,	"Ring has been enchanted"],
  "6"  :	["ON",	6,	2,	57,	1000,	3,	10,	1000,	"Ring has been enchanted"],
  "8"  :	["ON",	8,	2,	57,	1000,	2,	10,	1000,	"Helmet has been enchanted"],
  "9"  :	["ON",	9,	2,	57,	1000,	2,	10,	1000,	"Your weapon has been enchanted"],
  "10"  :	["ON",	10,	2,	57,	1000,	2,	10,	1000,	"Shield has been enchanted"],
  "11"  :	["ON",	11,	2,	57,	1000,	2,	10,	1000,	"Gloves has been enchanted"],
  "12"  :	["ON",	12,	2,	57,	1000,	2,	10,	1000,	"Chest has been enchanted"],#chest,feet,fullarmor,
  "13"  :	["ON",	13,	2,	57,	1000,	2,	10,	1000,	"Stockings has been enchanted"],
  "14"  :	["ON",	14,	2,	57,	1000,	2,	10,	1000,	"Boots has been enchanted"],
  "18"  :	["Off",	18,	2,	57,	1000,	2,	10,	1000,	"The head order has been enchanted"],#maska
  "20"  :	["Off",	20,	2,	57,	1000,	2,	10,	1000,	"The obverse order has been enchanted"],#face
  "22"  :	["Off",	22,	2,	57,	1000,	2,	10,	1000,	"Bracelet Talisman has been enchanted"],#bracelet Talisman
  "23"  :	["Off",	23,	2,	57,	1000,	2,	10,	1000,	"Bracelet Agathion has been enchanted"]#bracelet Agathion
}


class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)
 def onEvent (self,event,st) :
  htmltext = " "


  if event in Enchant.keys() :
    active,id,ench,prise,cost,inv,max,amount,htms = Enchant[event]
    if active == "ON":

      itm = st.getItemEquipped(id)
      enchlv = st.getEnchantLevel(itm)
      enchnew = enchlv + ench
      if st.getQuestItemsCount(prise) < cost :
        st.playSound("ItemSound.quest_itemget")
        htmltext = "Items.htm"
        st.exitQuest(1)
      elif st.getQuestItemsCount(itm) >= inv :
        st.playSound("ItemSound.quest_itemget")
        htmltext = "Inventory.htm"
        st.exitQuest(1)
      elif itm == 0 :
        st.playSound("ItemSound.quest_itemget")
        htmltext = "Slots.htm"
	st.exitQuest(1)
      elif enchnew > max :
        st.playSound("ItemSound.quest_itemget")
        htmltext = "Limit.htm"
        st.exitQuest(1)
      else:
        st.takeItems(prise,amount)
        st.takeItems(itm,1)
        st.giveItems(itm,1,enchnew)
        st.getPlayer().useMagic(SkillTable.getInstance().getInfo(2025,1),False,False)
        htmltext = htms
    else:
      st.playSound("ItemSound.quest_accept")
      htmltext = "Zakrit.htm"



  return htmltext 


 def onTalk (self,npc,player) :
  st = player.getQuestState(qn)
  npcId = npc.getNpcId()
  id = st.getInt("cound")
  htmltext = "<html><head><body>I have nothing to say to you</body></html>"
  if not st : return htmltext
  if npcId == NPC:
      if id == loop: 
         htmltext = "You can't enchant any more"
      else:
        htmltext = "Enchanter.htm"
  return htmltext


QUEST       = Quest(2009003, qn, "custom")

QUEST.addStartNpc(NPC)                        
QUEST.addTalkId(NPC)


print "   INFO Loaded: 2009003_Enchanter"

